<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<f:view locale="#{LocaleControllerBean.currentLocale}">
<f:loadBundle basename="sf.resource.msg" var="res" />

<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org./TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>

  <head>

    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
    <meta name="generator" content=""/>
    <link rel="shortcut icon" type="image/ico" href="http://www.fh-wedel.de/favicon.ico"/>
    <meta name="keywords" content=""/>
    <meta name="description" content=""/>

   <link rel="stylesheet" type="text/css" href="/css/fhw.css"/>
    <title><h:outputText value="#{res.title}"/><h:outputText value="#{res.title_subject}"/></title>
  </head>

  <body class="text">
	  <h:form>
	  <h:commandLink action="ta_overview" value="#{res.back}"/><br>
	  <h:outputText value="#{res.title_subject}"/>
	  <h:messages layout="table" style="border-color:#FF0000; border-width:1px; border-style:solid; padding:0px"/>
	  <h:dataTable var="row" value="#{SubjectControllerBean.subjectRows}" rows="#{SubjectControllerBean.PER_PAGE}" first="#{SubjectControllerBean.pos}">
			<h:column>
	      <f:facet name="header">
	        <h:outputText value=" "/>
	      </f:facet>
	      <h:selectBooleanCheckbox value="#{row.selected}"/>
	    </h:column>
	    <h:column>
		  	<f:facet name="header">
		  		<h:outputText value="#{res.topic}"/>
		  	</f:facet>
	  		<h:outputText value="#{row.subject.text}"/>
	  	</h:column>

	  	<f:facet name="footer">
	  	<h:panelGrid columns="2">
		  	<h:outputText value="#{res.subject_entry}"/>
		  	<h:panelGroup>
		  	  <h:commandButton value="<<" actionListener="#{SubjectControllerBean.backward}" disabled="#{SubjectControllerBean.hasBeforePage}"/>
					<h:commandButton value="#{res.new}" action="#{SubjectControllerBean.addSubject}"/>
					<h:commandButton value="#{res.edit}" action="#{SubjectControllerBean.editSubject}"/>
					<h:commandButton value="#{res.del}" action="#{SubjectControllerBean.deleteSubjects}" onclick="if (!confirm('#{res.deleteQuestion}')) return false;"/>
		  	  <h:commandButton value=">>" actionListener="#{SubjectControllerBean.forward}" disabled="#{SubjectControllerBean.hasNextPage}"/><br>
	 	  	</h:panelGroup>
		  	<h:outputText value="#{res.subject_order}"/>
		  	<h:panelGroup>
					<h:commandButton value="#{res.first}" action="#{SubjectControllerBean.moveFirst}"/>
					<h:commandButton value="#{res.up}" action="#{SubjectControllerBean.moveUp}"/>
					<h:commandButton value="#{res.swap}" action="#{SubjectControllerBean.swap}"/>
					<h:commandButton value="#{res.down}" action="#{SubjectControllerBean.moveDown}"/>
					<h:commandButton value="#{res.last}" action="#{SubjectControllerBean.moveLast}"/>
	 	  	</h:panelGroup>
 	  	</h:panelGrid>
	  	</f:facet>
	  </h:dataTable>
	  <h:commandLink action="ta_overview" value="#{res.back}"/>
		</h:form>
  </body>
</html>
</f:view>


