package example;

/**
 * Bean, das ein Quadrat darstellt.
 * 
 * @author Andy Bosch
 * @version 1.0
 */
public class SquareBean {

	private int length;
	private int area;
		 

	/**
	 * Liefert den Flcheninhalt zurck.
	 * 
	 * @author Andy Bosch
	 * @return Der Flcheninhalt
	 */
	public int getArea() {
		return length*length;
	}

	/**
	 * Liefert die Seitenlnge zurck.
	 * 
	 * @author Andy Bosch
	 * @return Die Seitenlnge
	 */
	public int getLength() {
		return length;
	}

	/**
	 * Setzt einen neuen Flcheninhalt.
	 * 
	 * @author Andy Bosch
	 * @param String Der neue Wert
	 */
	public void setArea(int i) {
		area = i;
	}

	/**
	 * Setzt eine neue Seitenlnge.
	 * 
	 * @author Andy Bosch
	 * @param String Der neue Wert
	 */
	public void setLength(int i) {
		length = i;
	}

}
