/**
 * 
 */
package sf.controller;

import sf.modell.Member;

/**
 * Bildet einen Tabellenzeile der Teilnehmer fr die Datatable
 * 
 * @author Danny
 */
public class MemberRow implements Comparable<MemberRow> {
	/** ausgewhlt */
	private boolean selected;
	
	/** memberliste */ 
	private Member member;

	/**
	 * @return the selected
	 */
	public boolean isSelected() {
		return selected;
	}

	/**
	 * @param selected the selected to set
	 */
	public void setSelected(boolean selected) {
		this.selected = selected;
	}

	/**
	 * @return the member
	 */
	public Member getMember() {
		return member;
	}

	/**
	 * @param member the member to set
	 */
	public void setMember(Member member) {
		this.member = member;
	}

	public int compareTo(MemberRow o) {
		return member.compareTo(o.getMember());
	}
	
	@Override
	public boolean equals(Object o) {
		if (o instanceof MemberRow) {
			return member.equals(((MemberRow) o).getMember());
		}
		
		return false;
	}
}
