/**
 * 
 */

package sf.controller;

import java.util.List;

import javax.faces.context.FacesContext;
import javax.faces.model.SelectItem;



/**
 * Verwaltet die Lndereinstellugnen fr einen Besucher
 * @author Danny
 */
public class LocaleController
{
	/** aktuell ausgewhlt  */
	private String currentLocale = (String) LocaleList.getSingleton().getItem(FacesContext.getCurrentInstance().getViewRoot().getLocale()).getValue();
	/** referenz auf alle verfgbaren */
	private List<SelectItem> supportedLocaleList = LocaleList.getSingleton().getSupportedLocaleList();
	
	/**
	 * @return the supportedLocaleList
	 */
	public List<SelectItem> getSupportedLocaleList() {
		return supportedLocaleList;
	}

	/**
	 * @param supportedLocaleList the supportedLocaleList to set
	 */
	public void setSupportedLocaleList(List<SelectItem> supportedLocaleList) {
		this.supportedLocaleList = supportedLocaleList;
	}

	/**
	 * @return the currentLocale
	 */
	public String getCurrentLocale() {
		return currentLocale;
	}

	/**
	 * @param currentLocale the currentLocale to set
	 */
	public void setCurrentLocale(String currentLocale) {
		this.currentLocale = currentLocale;
	}

	public void finalize() {
		currentLocale = null;
	}
} 
