/**
 * 
 */
package sf.controller;

import sf.modell.Subject;

/**
 * Bildet einen Tabellenzeile der Themen fr die Datatable
 * 
 * @author Danny
 */
public class SubjectRow implements Comparable<SubjectRow> {
	/** ausgewhlt */
	private boolean selected;
	
	/** subjectliste */ 
	private Subject subject;

	/**
	 * @return the selected
	 */
	public boolean isSelected() {
		return selected;
	}

	/**
	 * @param selected the selected to set
	 */
	public void setSelected(boolean selected) {
		this.selected = selected;
	}

	/**
	 * @return the subject
	 */
	public Subject getSubject() {
		return subject;
	}

	/**
	 * @param subject the subject to set
	 */
	public void setSubject(Subject subject) {
		this.subject = subject;
	}

	public int compareTo(SubjectRow o) {
		return subject.compareTo(o.getSubject());
	}
	
	@Override
	public boolean equals(Object o) {
		if (o instanceof SubjectRow) {
			return subject.equals(((SubjectRow) o).getSubject());
		}
		
		return false;
	}
}
