package sf.controller;

import java.util.Date;

public class TimeElapsed {
	//private final Date startTime=new Date(106,11,1,12,30);
	//private final Date endTime=new Date(106,11,1,13,30);

	private final Date startTime=new Date(106,11,1,12,30);
	private final Date endTime=new Date(106,11,1,13,30);
	private Date currentTime;
	
	private int percentage;

	public void update() {
		Date current = new Date();
		//zu frh oder ungltige gesamtdauer
		if (current.before(startTime) || startTime.after(endTime))
			percentage = 0;
		//zu spt
		else if (current.after(endTime))
			percentage = 100;
		//gltig
		else {
			long elapsedMS = (current.getTime() - startTime.getTime()) / 1000 / 60;
			long totalDurationMS = (endTime.getTime() - startTime.getTime()) / 1000 / 60;
			percentage = (int) (100 * elapsedMS / totalDurationMS);
		}
	}

	public int getPercentage() {
		update();
		
		return percentage;
	}

	public void setPercentage(int percentage) {
		this.percentage = percentage;
	}

	public Date getEndTime() {
		return endTime;
	}

	public Date getStartTime() {
		return startTime;
	}

	public Date getCurrentTime() {
		return new Date();
	}


}
