/**
 * 
 */
package sf.controller;

import sf.modell.Tutorial;

/**
 * Bildet einen Tabellenzeile der Seminare fr die Datatable
 * 
 * @author Danny
 */
public class TutorialRow implements Comparable<TutorialRow> {
	/** ausgewhlt */
	private boolean selected;
	
	/** tutorialliste */ 
	private Tutorial tutorial;

	/**
	 * @return the selected
	 */
	public boolean isSelected() {
		return selected;
	}

	/**
	 * @param selected the selected to set
	 */
	public void setSelected(boolean selected) {
		this.selected = selected;
	}

	/**
	 * @return the tutorial
	 */
	public Tutorial getTutorial() {
		return tutorial;
	}

	/**
	 * @param tutorial the tutorial to set
	 */
	public void setTutorial(Tutorial tutorial) {
		this.tutorial = tutorial;
	}

	public int compareTo(TutorialRow o) {
		return tutorial.compareTo(o.getTutorial());
	}
	
	@Override
	public boolean equals(Object o) {
		if (o instanceof TutorialRow) {
			return tutorial.equals(((TutorialRow) o).getTutorial());
		}
		
		return false;
	}
}
